#!/bin/csh

###################################################################################################
# copyinit.csh
#
# Script to copy files from the NWX part of the LDM feed into a local directory to be processed
# Also calls the perl scripts to check for the appropriate type of data (CHGHUR/CHGHE77 msgs)
# that is needed by the CLIQR/FLIQR program
#
# K. Griffin/HPC    9/2008
# K. Griffin/HPC    9/2009 Modified to clean up rm statements
###################################################################################################

setenv CLIQR   ${HOME}/klein/cliqr
setenv FLIQR   ${HOME}/klein/cliqr/fliqr

cd ${FLIQR}

rm -f ${FLIQR}/initdata/*.mdl
rm -Rf ${FLIQR}/storms

mkdir -p ${FLIQR}/storms
mkdir -p ${FLIQR}/initdata

${FLIQR}/cyclefiles.csh

cd ${FLIQR}/initdata
dos2unix `ls`

cd ${FLIQR}
perl checkmsg.pl

ls -1  > ${FLIQR}/stormlist.txt

## These lines added to failover the old cpCHGHUR2.csh to this script, hence copying data to where
## CLIQR likes to see it.

cd ${CLIQR}/CHGHUR
rm -Rf storm
mkdir storm
cp ${FLIQR}/storms/* ${CLIQR}/CHGHUR/storm/
cp ${FLIQR}/stormlist.txt ${CLIQR}/filelist.txt

exit(0)
